package cz.muni.fi.capella.converter.ui.exporting;

import java.util.Properties;

import javax.naming.OperationNotSupportedException;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.IHandlerListener;

import cz.muni.fi.capella.converter.services.ExportService;
import cz.muni.fi.capella.converter.services.PropertyService;
import cz.muni.fi.capella.converter.ui.DialogHandler;

/**
 * This class is responsible for export of algorithm properties.
 * 
 * @author Andrea Jonásová
 * 
 */
public class ExportHandler implements IHandler {
	
	private ExportService exportService = new ExportService();
	
	@Override
	public void addHandlerListener(IHandlerListener handlerListener) {
	}

	@Override
	public void dispose() {
	}

	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		String filename = exportService.createPathForExport();
		
		if (filename != null) {
			PropertyService propService = new PropertyService();
			Properties properties;
			try {
				properties = propService.loadPropertiesFromPropertySource();
			} catch (OperationNotSupportedException exception) {
				DialogHandler.displayUnsupportedOperationErrorDialog(exception.getMessage());
				return null;
			}
			exportService.exportPropertiesToFile(filename, properties);
		}
		return null;
	}

	@Override
	public boolean isEnabled() {
		return true;
	}

	@Override
	public boolean isHandled() {
		return true;
	}

	@Override
	public void removeHandlerListener(IHandlerListener handlerListener) {
	}
}
