package cz.muni.fi.capella.converter.ui.importing;

import java.util.List;
import org.eclipse.core.runtime.preferences.InstanceScope;
import org.eclipse.jface.action.IContributionItem;
import org.eclipse.ui.actions.CompoundContributionItem;
import org.eclipse.ui.preferences.ScopedPreferenceStore;

import cz.muni.fi.capella.converter.PropertyUtil;
import cz.muni.fi.capella.converter.services.ImportService;
import cz.muni.fi.capella.converter.ui.ConverterUIActivator;

/**
 * This class is responsible for loading all files from given directories and creating buttons in menu for them.
 * 
 * @author Andrea Jonásová
 * 
 */
public class DynamicLayoutViewItem extends CompoundContributionItem {

	private ImportService importService = new ImportService();
	
	@Override
	protected IContributionItem[] getContributionItems() {
		// load all files from preSets directory -> should contain default sets.
		List<IContributionItem> files = importService.getDefaultPropertyFiles(PropertyUtil.PROP_DIRECTORY_PATH);
		
		// load all files from user directory -> defined in preferences.
        String userSourceDir = new ScopedPreferenceStore(InstanceScope.INSTANCE, ConverterUIActivator.PLUGIN_ID)
        		.getString(PropertyUtil.CUSTOM_PROPERTY_DIR_PREF_ID);
		files.addAll(importService.getCustomPropertyFiles(userSourceDir));
		
		IContributionItem[] items = new IContributionItem[files.size()];
		files.toArray(items);
		return items;
	}
}
