package cz.muni.fi.capella.converter.ui.propertySettings;

import org.eclipse.core.runtime.preferences.InstanceScope;
import org.eclipse.jface.preference.DirectoryFieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.preferences.ScopedPreferenceStore;

import cz.muni.fi.capella.converter.PropertyUtil;
import cz.muni.fi.capella.converter.ui.ConverterUIActivator;

/**
 * This class is responsible for creating preference page where user can choose the destination directory 
 * for algorithm property sets.
 * 
 * @author Andrea Jonásová
 * 
 */
public class PropertyExportPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {

	public PropertyExportPreferencePage() {
		super(GRID);
	}

	@Override
	public void init(IWorkbench workbench) {
		setPreferenceStore(new ScopedPreferenceStore(InstanceScope.INSTANCE, ConverterUIActivator.PLUGIN_ID));
		setDescription("Preferences for algorithm property sets export.");
	}

	@Override
	protected void createFieldEditors() {
		addField(new DirectoryFieldEditor(PropertyUtil.CUSTOM_PROPERTY_DIR_PREF_ID, "&Directory preference:", getFieldEditorParent()));
	}
}
